Subject: Re: bug#55595: 29.0.50; Compilation warnings on macOS

From: Rudolf Adamkovič <[email-masked]>
Date: Fri, 03 Jun 2022 21:37:40 +0200

Eli Zaretskii <[email-masked]> writes:

>> ./configure --with-json --with-native-compilation && make && make install
>
> Did you regenerate configure before running the above?  The change is
> in configure.ac, so you need to run ./autogen.sh to regenerate the
> configure script from configure.ac.
>
> (In general, I suggest to always say "make && make install", because
> that will run the configure script automatically when needed, and will
> regenerate the configure script automatically when configure.ac was
> updated.)
>
> […]
>
> I guess this means you did not regenerate the configure script?  Or
> maybe the compiler doesn't identify itself as clang, so the changes I
> did don't have effect?

I retried with ...

./autogen.sh \
  && ./configure --with-json --with-native-compilation \
  && make \
  && make install

... and I still get the same 4 errors and 4 warnings.

Rudy
-- 
"Logic is a science of the necessary laws of thought, without which no
employment of the understanding and the reason takes place."
-- Immanuel Kant, 1785

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia